.bases {
    &__p {
        &--cursor {
            cursor: pointer;
        }
    }
    &__p-event {
        &--none {
            pointer-events: none;
        }
    }
    &__font {
        @for $i from 8 through 32 {
            &--#{$i} {
                font-size: #{$i}px !important;
            }
        }
    }
    &__text {
        &--light {
            font-weight: 200;
        }
        &--normal {
            font-weight: 400;
        }
        &--bold {
            font-weight: 700;
        }
        &--uppercase {
            text-transform: uppercase;
        }
        &--white {
            color: $color-white !important;
        }
        &--red {
            color: $color-red !important;
        }
    }
    &__background {
        &--white {
            background-color: $color-white !important;
        }
        &--red {
            background-color: $color-red !important;
        }
    }
    &__margin {
        @for $i from 0 through 250 {
            &--left#{$i} {
                margin-left: #{$i}px !important;
            }
            &--right#{$i} {
                margin-right: #{$i}px !important;
            }
            &--bottom#{$i} {
                margin-bottom: #{$i}px !important;
            }
            &--top#{$i} {
                margin-top: #{$i}px !important;
            }
            &--vertical#{$i} {
                margin-top: #{$i}px !important;
                margin-bottom: #{$i}px !important;
            }
            &--horizontal#{$i} {
                margin-left: #{$i}px !important;
                margin-right: #{$i}px !important;
            }
            &#{$i} {
                margin: #{$i}px !important;
            }
        }
    }
    &__padding {
        @for $i from 0 through 200 {
            &--left#{$i} {
                padding-left: #{$i}px !important;
            }
            &--right#{$i} {
                padding-right: #{$i}px !important;
            }
            &--bottom#{$i} {
                padding-bottom: #{$i}px !important;
            }
            &--top#{$i} {
                padding-top: #{$i}px !important;
            }
            &--vertical#{$i} {
                padding-top: #{$i}px !important;
                padding-bottom: #{$i}px !important;
            }
            &--horizontal#{$i} {
                padding-left: #{$i}px !important;
                padding-right: #{$i}px !important;
            }
            &#{$i} {
                padding: #{$i}px !important;
            }
        }
    }
}

@import 'app';
